Package de.gebit.integrity.ui.outline

## Enum DSLOutlineTreeProvider.SuiteType

- java.lang.Object
- - java.lang.Enum<DSLOutlineTreeProvider.SuiteType>
  - - de.gebit.integrity.ui.outline.DSLOutlineTreeProvider.SuiteType

- All Implemented Interfaces:
    `Serializable`, `Comparable<DSLOutlineTreeProvider.SuiteType>`
  Enclosing class:
    DSLOutlineTreeProvider

      protected static enum DSLOutlineTreeProvider.SuiteType
      extends Enum<DSLOutlineTreeProvider.SuiteType>

  Differentiates between the different occurences of suites. They may be either occur as plain suite definitions or as a declaration of an dependency or an conclusion.
  Author:
    tilois

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `CONCLUSION` | Declaration of a suite as a conclusion.
    `DEPENDENCY` | Declaration of a suite as a dependency.
    `NORMAL` | Normal suite declaration.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static DSLOutlineTreeProvider.SuiteType` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static DSLOutlineTreeProvider.SuiteType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NORMAL

          public static final DSLOutlineTreeProvider.SuiteType NORMAL

      Normal suite declaration.

    - #### DEPENDENCY

          public static final DSLOutlineTreeProvider.SuiteType DEPENDENCY

      Declaration of a suite as a dependency.

    - #### CONCLUSION

          public static final DSLOutlineTreeProvider.SuiteType CONCLUSION

      Declaration of a suite as a conclusion.

  - ### Method Detail

    - #### values

          public static DSLOutlineTreeProvider.SuiteType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DSLOutlineTreeProvider.SuiteType c : DSLOutlineTreeProvider.SuiteType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DSLOutlineTreeProvider.SuiteType valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null